svn commit: samba r15486 - in branches/SAMBA_4_0/source/script/tests: .

abartlet at samba.org abartlet at samba.org
Sun May 7 11:15:53 GMT 2006


Author: abartlet
Date: 2006-05-07 11:15:52 +0000 (Sun, 07 May 2006)
New Revision: 15486

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=15486

Log:
Ensure that our Samba3-like implementation of fake-GSSAPI is tested.

This also tests that the server accepts the incorrect GSSAPI checksum,
and that we get the right session key.

Andrew Bartlett

Modified:
   branches/SAMBA_4_0/source/script/tests/test_session_key.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_session_key.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_session_key.sh	2006-05-07 11:14:46 UTC (rev 15485)
+++ branches/SAMBA_4_0/source/script/tests/test_session_key.sh	2006-05-07 11:15:52 UTC (rev 15486)
@@ -46,4 +46,8 @@
  name="RPC-SECRETS on $transport:$server[$bindoptions] with Kerberos (use target principal)"
  testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -k yes -U"$username"%"$password" -W $domain "--option=clientusespnegoprincipal=yes" "--option=gensec:target_hostname=$netbios_name" RPC-SECRETS "$*" || failed=`expr $failed + 1`
 done
+name="RPC-SECRETS on $transport:$server with Kerberos (use Samba3 style login)"
+ testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server" -k yes -U"$username"%"$password" -W $domain "--option=gensec:fake_gssapi_krb5=yes" "--option=gensec:gssapi_krb5=no" "--option=gensec:target_hostname=$netbios_name" RPC-SECRETS "$*" || failed=`expr $failed + 1`
+name="RPC-SECRETS on $transport:$server with Kerberos (use Samba3 style login, use target principal)"
+ testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server" -k yes -U"$username"%"$password" -W $domain "--option=clientusespnegoprincipal=yes" "--option=gensec:fake_gssapi_krb5=yes" "--option=gensec:gssapi_krb5=no" "--option=gensec:target_hostname=$netbios_name" RPC-SECRETS "$*" || failed=`expr $failed + 1`
 testok $0 $failed



More information about the samba-cvs mailing list